import { HTMLStencilElement } from '../../stencil-public-runtime';
import { BalFloatingUi } from '../floating-ui';
import { DropdownComponent } from './component';
export declare class DropdownPopupUtil {
    private component;
    connectedCallback(component: DropdownComponent): void;
    updatePanelPosition: (lib: BalFloatingUi, referenceEl: HTMLElement | HTMLStencilElement, floatingEl: HTMLElement | HTMLStencilElement) => () => void;
    toggleList(): void;
    expandList(): Promise<void>;
    collapseList(): void;
}
